Bug 149685 - new port: japanese/zinnia
Summary: new port: japanese/zinnia
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Shaun Amott
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-16 08:10 UTC by Timothy Beyer
Modified: 2011-02-05 09:50 UTC (History)
1 user (show)

See Also:


Attachments
zinnia.shar (2.96 KB, text/plain)
2010-08-16 08:10 UTC, Timothy Beyer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Beyer 2010-08-16 08:10:01 UTC
A simple, customizable and portable online hand recognition system

Fix: The included shar, and all prerequisite shar files
How-To-Repeat: Build all prerequisite ports, then this port (see below)

This is one of a group of ports being submitted.  The problem reports in this
group need to be processed in approximately the following order: (top should be
built first, whereas the bottom should be built last)

japanese/zinnia
japanese/py-zinnia
japanese/zinnia-tomoe
japanese/py-tegaki
japanese/py-tegaki-gtk
japanese/tegaki-recognize
japanese/tegaki-zinnia-japanese
Comment 1 Li-Wen Hsu freebsd_committer 2010-08-22 13:41:44 UTC
Hi,

Thanks for porting this and submitting to FreeBSD.  These ports looks
nice, but I am wondering if japanese is the best category these ports
go.  Does Zinnia recognizes only Japanese characters?  Or we can add
them into another category, say, graphics?

Best regards,
Li-Wen

-- 
Li-Wen Hsu <lwhsu AT FreeBSD.org>
http://lwhsu.org
Comment 2 Timothy Beyer 2010-08-22 22:06:22 UTC
At Sun, 22 Aug 2010 20:41:44 +0800,
Li-Wen Hsu wrote:
> 
> Hi,
> 
> Thanks for porting this and submitting to FreeBSD.  These ports looks
> nice, but I am wondering if japanese is the best category these ports
> go.  Does Zinnia recognizes only Japanese characters?  Or we can add
> them into another category, say, graphics?
> 
> Best regards,
> Li-Wen
> 
> -- 
> Li-Wen Hsu <lwhsu AT FreeBSD.org>
> http://lwhsu.org

Hi Li-Wen,

The libraries themselves I think also support Chinese, but they would need additional Hanzi databases to work properly.  As for Zinnia, it is written by a native Japanese speaker, (I think) so I would presume the support for Japanese is where the author focuses, but it sounds like a general recognition analysis library that depends mostly on the data that you "train" it with.  The frontend (Tekagi) supports both Chinese and Japanese handwriting analysis, and it appears to use the zinnia engine for that ana lysis.

If you have a more general category in mind for these utilities, I would have no problem with changing to that category.  Graphics is fine.

Tim
Comment 3 Shaun Amott freebsd_committer 2010-09-09 04:22:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Grab.
Comment 4 dfilter service freebsd_committer 2011-02-05 09:40:48 UTC
miwi        2011-02-05 09:40:44 UTC

  FreeBSD ports repository

  Modified files:
    japanese             Makefile 
  Added files:
    japanese/zinnia      Makefile distinfo pkg-descr pkg-plist 
  Log:
  Zinnia is a simple, customizable and portable online hand recognition system
  based on Support Vector Machines. Zinnia simply receives user pen strokes as a
  sequence of coordinate data and outputs n-best characters sorted by SVM
  confidence. To keep portability, Zinnia doesn't have any rendering
  functionality. In addition to recognition, Zinnia provides training module that
  allows us to create any hand-written recognition systems with low-cost.
  
  WWW: http://zinnia.sourceforge.net/
  
  PR:             ports/149685
  Submitted by:   Timothy Beyer <beyert at cs.ucr.edu>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.756     +1 -0      ports/japanese/Makefile
  1.1       +41 -0     ports/japanese/zinnia/Makefile (new)
  1.1       +2 -0      ports/japanese/zinnia/distinfo (new)
  1.1       +8 -0      ports/japanese/zinnia/pkg-descr (new)
  1.1       +17 -0     ports/japanese/zinnia/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Martin Wilke freebsd_committer 2011-02-05 09:40:57 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!